Bug 186882 - metacity crash when iconifying borderless window (xine)
metacity crash when iconifying borderless window (xine)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 03:50 EST by Peter Zelezny
Modified: 2014-06-18 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 15:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Zelezny 2006-03-27 03:50:35 EST
Description of problem:
metacity crash when iconifying borderless window (xine)

Version-Release number of selected component (if applicable):
metacity-2.14.0-1

How reproducible:


Steps to Reproduce:
1. Run xine (e.g. xine-ui-0.99.4). It may work with other programs that can do a
borderless window, I dont know.
2. Press 'b' to make the window borderless.
3. Iconify the xine window via Gnome's taskbar.
  
Actual results:
segfault

Expected results:
nothing

Additional info:
#0  0x0809bfe3 in finish_minimize (data=0x81377f0) at window.c:1323
1323		g_print ("focusing something other than %lx\n", window->frame->xwindow);
(gdb) bt full
#0  0x0809bfe3 in finish_minimize (data=0x81377f0) at window.c:1323
	window = Variable "window" is not available.
(gdb) bt
#0  0x0809bfe3 in finish_minimize (data=0x81377f0) at window.c:1323
#1  0x0809c9fa in implement_showing (window=0x81377f0, showing=Variable
"showing" is not available.
) at window.c:1394
#2  0x0809e729 in idle_calc_showing (data=0x0) at window.c:1507
#3  0xb79096e1 in g_list_remove_link () from /usr/lib/libglib-2.0.so.0
#4  0xb790b09d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#5  0xb790e32f in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#6  0xb790e6d9 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#7  0x0807084d in main (argc=1, argv=0xbfa1ea94) at main.c:492
#8  0xb757b7e4 in __libc_start_main () from /lib/libc.so.6
#9  0x08053bb1 in _start ()
Comment 1 Peter Zelezny 2006-03-27 03:52:27 EST
More:

(gdb) up
#1  0x0809c9fa in implement_showing (window=0x81377f0, showing=Variable
"showing" is not available.
) at window.c:1394
1394		      finish_minimize (window);
(gdb) print window
$1 = (MetaWindow *) 0x81377f0
(gdb) print window->frame
$2 = (MetaFrame *) 0x0
Comment 2 Dams 2006-03-29 03:14:08 EST
I can easily reproduce that here, with bmp or xmms..
Comment 3 Yanko Kaneti 2006-03-30 02:31:08 EST
Should be noted that the stock unpatched 2.14.0 (ie. without the bling) doesn't
crash for me here with the same scenario.
Comment 4 Yanko Kaneti 2006-04-06 07:00:00 EDT
This appears to be fixed for me with metacity-2.15.0-2

Note You need to log in before you can comment on or make changes to this bug.